[SCM] live-boot branch, debian, updated. debian/3.0_b2-1

Daniel Baumann daniel at debian.org
Fri Aug 24 10:37:40 UTC 2012


The following commit has been merged in the debian branch:
commit b75baa7f4fa4476cbf0a3273a140a887c3ac1e6b
Author: Daniel Baumann <daniel at debian.org>
Date:   Fri Aug 24 12:27:14 2012 +0200

    Removing /etc/live/boot if empty on purge in postrm.

diff --git a/debian/live-boot.postrm b/debian/live-boot.postrm
new file mode 100644
index 0000000..1a7fc90
--- /dev/null
+++ b/debian/live-boot.postrm
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+	purge)
+		rmdir --ignore-fail-on-non-empty /etc/live/boot > /dev/null 2>&1 || true
+		rmdir --ignore-fail-on-non-empty /etc/live > /dev/null 2>&1 || true
+		;;
+
+	remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+		;;
+
+	*)
+		echo "postrm called with unknown argument \`${1}'" >&2
+		exit 1
+		;;
+esac
+
+#DEBHELPER#
+
+exit 0

-- 
live-boot



More information about the debian-live-changes mailing list